# -*- rpm-spec -*-
# $Id: xemacs,v 1.69 2002/11/19 15:52:48 lioka Exp $

Name: xemacs
Version: 21.4.10
Release: alt2

Summary: Things needed to run the XEmacs text editor
License: GPL
Group: Editors
Url: http://www.xemacs.org/

Source0: http://ftp.xemacs.org/gamma/%name-%version-src.tar.bz2
Source1: xemacs_mini.xpm
Source2: xemacs.xpm
Source3: xemacs-menus.tar

Patch0: %name-21.4.8-paths.patch
Patch1: %name-21.4.8-info.patch

BuildPreReq: xemacsen
BuildRequires: Xaw3d-devel XFree86 XFree86-devel faces-devel libdb4-devel libjpeg-devel libncurses-devel libneXtaw-devel libpng3-devel libtiff-devel libungif xpm-devel zlib-devel

%package minimal
Summary: Minimal set needed to run the XEmacs
Group: Editors
Requires: xemacsen >= 0.1-alt3 %name = %version-%release %name-base

%package mule-minimal
Summary: Minimal set needed to run the MULE-featured XEmacs
Group: Editors
Requires: %name-mule = %version-%release %name-minimal = %version-%release %name-mule-base

%package mule
Summary: The XEmacs text editor with MULE (MUlti-Lingual Emacs) support
Group: Editors
Provides: %name = %version-%release
Requires: %name-mule-minimal = %version-%release
Conflicts: app-defaults < 0.2.1-alt1

%package nomule
Summary: The XEmacs text editor without MULE (MUlti-Lingual Emacs) support
Group: Editors
Provides: %name = %version-%release
Requires: %name-minimal = %version-%release
Conflicts: app-defaults < 0.2.1-alt1

%package mule-nextaw
Summary: The XEmacs text editor with MULE (MUlti-Lingual Emacs) support
Group: Editors
Provides: %name = %version-%release %name-mule = %version-%release
Requires: %name-mule-minimal = %version-%release
Conflicts: app-defaults < 0.2.1-alt1

%package nomule-nextaw
Summary: The XEmacs text editor without MULE (MUlti-Lingual Emacs) support
Group: Editors
Provides: %name = %version-%release %name-nomule = %version-%release
Requires: %name-minimal = %version-%release
Conflicts: app-defaults < 0.2.1-alt1

%package extras
Summary: Files that XEmacs has in common with GNU Emacs
Group: Editors
Requires: %name = %version-%release
Conflicts: emacs-common

%package devel
Summary: Header files for XEmacs
Group: Development/C
Requires: %name = %version-%release

%description
XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
extensible, real-time display editor.  XEmacs is self-documenting
because at any time you can type in control-h to find out what your
options are or to find out what a command does.  XEmacs is customizable
because you can change the definitions of XEmacs commands to anything
you want.  XEmacs is extensible because you can write entirely new
commands--programs in the Lisp language to be run by Emacs' own Lisp
interpreter.  XEmacs includes a real-time display, which means that the
text being edited is visible on the screen and is updated very
frequently (usually after every character or pair of characters) as you
type.

%description minimal
XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
extensible, real-time display editor.  XEmacs is self-documenting
because at any time you can type in control-h to find out what your
options are or to find out what a command does.  XEmacs is customizable
because you can change the definitions of XEmacs commands to anything
you want.  XEmacs is extensible because you can write entirely new
commands--programs in the Lisp language to be run by Emacs' own Lisp
interpreter.  XEmacs includes a real-time display, which means that the
text being edited is visible on the screen and is updated very
frequently (usually after every character or pair of characters) as you
type.

This package contains minimal set you need to run the XEmacs editor, so you
need to install this package if you intend to use XEmacs.  You also need
to install the actual XEmacs program package (%name-nomule or %name-mule).

%description mule-minimal
XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
extensible, real-time display editor.  XEmacs is self-documenting
because at any time you can type in control-h to find out what your
options are or to find out what a command does.  XEmacs is customizable
because you can change the definitions of XEmacs commands to anything
you want.  XEmacs is extensible because you can write entirely new
commands--programs in the Lisp language to be run by Emacs' own Lisp
interpreter.  XEmacs includes a real-time display, which means that the
text being edited is visible on the screen and is updated very
frequently (usually after every character or pair of characters) as you
type.

This package contains minimal set you need for all XEmacs variants
with MULE support.  You will also need to install the actual XEmacs
program package with MULE support.

%description devel
Contains all the header files needed for XEmacs development.

%description mule
XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
extensible, real-time display editor.  XEmacs is self-documenting
because at any time you can type in control-h to find out what your
options are or to find out what a command does.  XEmacs is customizable
because you can change the definitions of XEmacs commands to anything
you want.  XEmacs is extensible because you can write entirely new
commands--programs in the Lisp language to be run by Emacs' own Lisp
interpreter.  XEmacs includes a real-time display, which means that the
text being edited is visible on the screen and is updated very
frequently (usually after every character or pair of characters) as you
type.

This package contains the XEmacs binary with MULE (MUlti-Lingual Emacs)
support and was compiled with X11 support only, so you won't be able
to use it in a TTY (ncurses) mode.

%description nomule
XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
extensible, real-time display editor.  XEmacs is self-documenting
because at any time you can type in control-h to find out what your
options are or to find out what a command does.  XEmacs is customizable
because you can change the definitions of XEmacs commands to anything
you want.  XEmacs is extensible because you can write entirely new
commands--programs in the Lisp language to be run by Emacs' own Lisp
interpreter.  XEmacs includes a real-time display, which means that the
text being edited is visible on the screen and is updated very
frequently (usually after every character or pair of characters) as you
type.

This package contains the XEmacs binary with both X11 and TTY (ncurses)
support, but without MULE (MUlti-Lingual Emacs) support.

%description mule-nextaw
XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
extensible, real-time display editor.  XEmacs is self-documenting
because at any time you can type in control-h to find out what your
options are or to find out what a command does.  XEmacs is customizable
because you can change the definitions of XEmacs commands to anything
you want.  XEmacs is extensible because you can write entirely new
commands--programs in the Lisp language to be run by Emacs' own Lisp
interpreter.  XEmacs includes a real-time display, which means that the
text being edited is visible on the screen and is updated very
frequently (usually after every character or pair of characters) as you
type.

This package contains the XEmacs binary with MULE (MUlti-Lingual Emacs)
support and was compiled with X11 support only, so you won't be able
to use it in a TTY (ncurses) mode. It also honours neXtaw flavour of Xaw
library.

%description nomule-nextaw
XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
extensible, real-time display editor.  XEmacs is self-documenting
because at any time you can type in control-h to find out what your
options are or to find out what a command does.  XEmacs is customizable
because you can change the definitions of XEmacs commands to anything
you want.  XEmacs is extensible because you can write entirely new
commands--programs in the Lisp language to be run by Emacs' own Lisp
interpreter.  XEmacs includes a real-time display, which means that the
text being edited is visible on the screen and is updated very
frequently (usually after every character or pair of characters) as you
type.

This package contains the XEmacs binary with both X11 and TTY (ncurses)
support, but without MULE (MUlti-Lingual Emacs) support. It also honours
neXtaw flavour of Xaw library.

%description extras
XEmacs-extras includes files which are used by both GNU Emacs
and XEmacs. If you don't have GNU Emacs installed, be sure to also
install this package when you install the XEmacs text editor.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

#===============================================================================
%build
%add_optflags -Wno-switch
CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS

XEMACS_CONFIG="%_target_platform \
	--prefix=%_prefix --exec-prefix=%_prefix \
	--bindir=%_bindir --datadir=%_datadir --libdir=%_libdir \
	--package-path=%_datadir/%name \
	--infodir=%_xemacs_infodir --mandir=%_man1dir \
	--infopath=%_xemacs_infodir:%_infodir \
	--debug=no --error-checking=none \
	--with-clash-detection=no
	--with-x11 \
	--with-menubars=lucid \
	--with-dialogs=athena --with-widgets=athena \
	--with-xpm --with-xface \
	--with-pop --mail-locking=lockf \
	--without-ldap --without-postgresql \
	--with-sound=none \
	--with-gpm=no"

XEMACS_XAW3D_FLAVOUR="--with-athena=3d --with-scrollbars=lucid"
XEMACS_NEXTAW_FLAVOUR="	--with-athena=next --with-scrollbars=athena"

#------------------------------------------
# xemacs with mule, w/o tty, Xaw3d
rm -rf %_target_platform-mule
%__mkdir %_target_platform-mule
cd %_target_platform-mule
../configure $XEMACS_CONFIG $XEMACS_XAW3D_FLAVOUR \
	--docdir=%_xemacs_docdir-mule \
	--with-tty=no --with-mule=yes --with-xim=xlib --with-file-coding
cd ..

#------------------------------------------
# w/o mule, with tty
rm -rf %_target_platform-nomule
%__mkdir %_target_platform-nomule
cd %_target_platform-nomule
../configure $XEMACS_CONFIG $XEMACS_XAW3D_FLAVOUR \
	--docdir=%_xemacs_docdir-nomule \
	--with-tty=yes --with-ncurses --with-mule=no
cd ..

#------------------------------------------
# xemacs with mule, w/o tty, neXtaw
rm -rf %_target_platform-mule-nextaw
%__mkdir %_target_platform-mule-nextaw
cd %_target_platform-mule-nextaw
../configure $XEMACS_CONFIG $XEMACS_NEXTAW_FLAVOUR \
	--docdir=%_xemacs_docdir-mule-nextaw \
	--with-tty=no --with-mule=yes --with-xim=xlib --with-file-coding
cd ..

#------------------------------------------
# w/o mule, with tty, neXtaw
rm -rf %_target_platform-nomule-nextaw
%__mkdir %_target_platform-nomule-nextaw
cd %_target_platform-nomule-nextaw
../configure $XEMACS_CONFIG $XEMACS_NEXTAW_FLAVOUR \
	--docdir=%_xemacs_docdir-nomule-nextaw \
	--with-tty=yes --with-ncurses --with-mule=no
cd ..
#------------------------------------------
# build
%__make -C %_target_platform-mule
%__make -C %_target_platform-nomule
%__make -C %_target_platform-mule-nextaw
%__make -C %_target_platform-nomule-nextaw

#===============================================================================
%install
%makeinstall -C %_target_platform-mule \
	datadir=%buildroot%_datadir \
	infodir=%buildroot%_xemacs_infodir \
	docdir=%buildroot%_xemacs_docdir-mule \
	mandir=%buildroot%_man1dir

# binaries
%__install -m0755 %_target_platform-mule/src/%name %buildroot%_bindir/%name-%version-mule
%__install -m0755 %_target_platform-nomule/src/%name %buildroot%_bindir/%name-%version-nomule
%__install -m0755 %_target_platform-mule-nextaw/src/%name %buildroot%_bindir/%name-%version-mule-nextaw
%__install -m0755 %_target_platform-nomule-nextaw/src/%name %buildroot%_bindir/%name-%version-nomule-nextaw

# DOC etc for rest of variants
%__install -p -m0644 -D %_target_platform-nomule/lib-src/DOC \
	%buildroot%_xemacs_docdir-nomule/DOC
%__install -p -m0644 %_target_platform-nomule/lib-src/config.values \
	%buildroot%_xemacs_docdir-nomule

%__install -p -m0644 -D %_target_platform-mule-nextaw/lib-src/DOC \
	%buildroot%_xemacs_docdir-mule-nextaw/DOC
%__install -p -m0644 %_target_platform-mule-nextaw/lib-src/config.values \
	%buildroot%_xemacs_docdir-mule-nextaw

%__install -p -m0644 -D %_target_platform-nomule-nextaw/lib-src/DOC \
	%buildroot%_xemacs_docdir-nomule-nextaw/DOC
%__install -p -m0644 %_target_platform-nomule-nextaw/lib-src/config.values \
	%buildroot%_xemacs_docdir-nomule-nextaw


# link site-start file
%__ln_s ../../../..%_xemacs_confdir/site-start.el %buildroot%_xemacs_lispdir/site-start.el
# link package index file
%__ln_s -f ../../xemacs/package-index %buildroot%_xemacs_etcdir/package-index.LATEST.pgp

# icons, menu entries
%__install -p -m0644 -D etc/xemacs-icon.xpm %buildroot/%_liconsdir/xemacs.xpm
%__install -p -m0644 -D %SOURCE1 %buildroot/%_miconsdir/xemacs.xpm
%__install -p -m0644 -D %SOURCE2 %buildroot/%_iconsdir/xemacs.xpm
%__mkdir_p %buildroot%_menudir
%__tar xf %SOURCE3 -C %buildroot%_menudir
%__subst 's|@xemacs@|%_bindir/%name-%version|' %buildroot%_menudir/*

# cleanups
# these already in %man1dir
%__rm -f %buildroot%_xemacs_etcdir/*.1
# these shouldn't be in xemacs package
%__rm -f %buildroot%_xemacs_infodir/{info,standards,termcap,texinfo}.info*
# win-specific files
%__rm -f %buildroot%_xemacs_lispdir/msw-*
#===============================================================================

%post minimal
%xemacs_install_info {cl,custom,emodules,external-widget,internals,lispref,new-users-guide,term,widget,xemacs-faq,xemacs}.info

%preun minimal
%xemacs_uninstall_info {cl,custom,emodules,external-widget,internals,lispref,new-users-guide,term,widget,xemacs-faq,xemacs}.info

%post mule
%update_menus
/usr/sbin/update-alternatives --install %_bindir/%name \
	%name %_bindir/%name-%version-mule 40

%preun mule
if [ "$1" = 0 ]; then
	/usr/sbin/update-alternatives --remove \
		%name %_bindir/%name-%version-mule
fi

%postun mule
%clean_menus

%post nomule
%update_menus
/usr/sbin/update-alternatives --install %_bindir/%name \
	%name %_bindir/%name-%version-nomule 30

%preun nomule
if [ "$1" = 0 ]; then
	/usr/sbin/update-alternatives --remove \
		%name %_bindir/%name-%version-nomule
fi

%postun nomule
%clean_menus

%post mule-nextaw
%update_menus
/usr/sbin/update-alternatives --install %_bindir/%name \
	%name %_bindir/%name-%version-mule-nextaw 20

%preun mule-nextaw
if [ "$1" = 0 ]; then
	/usr/sbin/update-alternatives --remove \
		%name %_bindir/%name-%version-mule-nextaw
fi

%postun mule-nextaw
%clean_menus

%post nomule-nextaw
%update_menus
/usr/sbin/update-alternatives --install %_bindir/%name \
	%name %_bindir/%name-%version-nomule-nextaw 10

%preun nomule-nextaw
if [ "$1" = 0 ]; then
	/usr/sbin/update-alternatives --remove \
		%name %_bindir/%name-%version-nomule-nextaw
fi

%postun nomule-nextaw
%clean_menus

%files minimal
%doc BUGS CHANGES-release ChangeLog README README.packages PROBLEMS

%_bindir/ellcc
%_bindir/gnuattach
%_bindir/gnuclient
%_bindir/gnudoit

%dir %_xemacs_libdir
%dir %_xemacs_archlibdir
%_xemacs_archlibdir/modules
%_xemacs_archlibdir/gnuserv
%_xemacs_archlibdir/fakemail
%_xemacs_archlibdir/wakeup
%_xemacs_archlibdir/profile
%_xemacs_archlibdir/make-docfile
%_xemacs_archlibdir/digest-doc
%_xemacs_archlibdir/sorted-doc
%_xemacs_archlibdir/movemail
%_xemacs_archlibdir/yow
%_xemacs_archlibdir/hexl
%_xemacs_archlibdir/mmencode
%_xemacs_archlibdir/rcs2log
%_xemacs_archlibdir/vcdiff

%dir %_xemacs_datadir
%dir %_xemacs_etcdir
%_xemacs_etcdir/package-index.LATEST.pgp
%_xemacs_etcdir/custom
%_xemacs_etcdir/eos
%_xemacs_etcdir/idd
%_xemacs_etcdir/photos
%_xemacs_etcdir/sparcworks
%_xemacs_etcdir/toolbar
%_xemacs_etcdir/*.xpm
%_xemacs_etcdir/*.xbm
%_xemacs_etcdir/*.png

%_xemacs_etcdir/TUTORIAL
%lang(de) %_xemacs_etcdir/TUTORIAL.de
%lang(fr) %_xemacs_etcdir/TUTORIAL.fr
%lang(hr) %_xemacs_etcdir/TUTORIAL.hr
%lang(ja) %_xemacs_etcdir/TUTORIAL.ja
%lang(ko) %_xemacs_etcdir/TUTORIAL.ko
%lang(pl) %_xemacs_etcdir/TUTORIAL.pl
%lang(ro) %_xemacs_etcdir/TUTORIAL.ro
%lang(ru_RU.KOI8-R) %_xemacs_etcdir/TUTORIAL.ru
%lang(se) %_xemacs_etcdir/TUTORIAL.se
%lang(th) %_xemacs_etcdir/TUTORIAL.th

%_xemacs_etcdir/XKeysymDB
%_xemacs_etcdir/sample.*
%_xemacs_etcdir/refcard.*
%_xemacs_etcdir/emacs*.sco

%dir %_xemacs_lispdir
%_xemacs_lispdir/site-start.el
%_xemacs_lispdir/term
%_xemacs_lispdir/*.elc

%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_liconsdir/*.xpm

%_xemacs_infodir/*.info*

%_man1dir/xemacs.1*
%_man1dir/gnuserv.1*
%_man1dir/gnuclient.1*
%_man1dir/gnuattach.1*
%_man1dir/gnudoit.1*

%files mule-minimal
%dir %_xemacs_lispdir/mule
%_xemacs_lispdir/mule/*.elc

%files devel
%_xemacs_archlibdir/include

%files mule
%_bindir/%name-%version-mule
%_menudir/%name-mule
%_xemacs_docdir-mule

%files nomule
%_bindir/%name-%version-nomule
%_menudir/%name-nomule
%_xemacs_docdir-nomule

%files mule-nextaw
%_bindir/%name-%version-mule-nextaw
%_menudir/%name-mule-nextaw
%_xemacs_docdir-mule-nextaw

%files nomule-nextaw
%_bindir/%name-%version-nomule-nextaw
%_menudir/%name-nomule-nextaw
%_xemacs_docdir-nomule-nextaw

%files extras
%_bindir/b2m
%_bindir/etags
%_bindir/ootags
%_bindir/rcs-checkin
%_man1dir/etags.1*

%changelog
* Tue Nov 19 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 21.4.10-alt2
- cleanups in menu/icon area

* Mon Nov 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 21.4.10-alt1
- 21.4.10

* Tue Oct 29 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 21.4.9-alt3
- neXtaw variants appeared

* Sat Sep 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 21.4.9-alt2
- rebuilt in new env

* Sat Aug 24 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 21.4.9-alt1
- basic lisp code moved to %_datadir/%name-%version
- xemacs lisp packages separated
- gtk/gnome variants temporarilly dropped
- movemail fixed to use lockf

* Thu Oct 11 2001 AEN <aen@logic.ru> 21.4.3-alt6
- rebuilt with libpng.so.3

* Thu Sep 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 21.4.3-alt5
- Rebuilt with db3-3.3.11.

* Sat Jul 28 2001 Sergey Vlasov <vsu@altlinux.ru> 21.4.3-alt4
- generate separate DOC files for different variants (they are not compatible)
- added switch WITH_XAW3D to build with Xaw3d (plain Xaw sucks)

* Mon Jul  9 2001 Sergey Vlasov <vsu@altlinux.ru> 21.4.3-alt3
- file lists fixed
- info scripts fixed again
- general spec file cleanup
- moved common %name stuff to %name-common subpackage
- moved common mule stuff to %name-mule-common subpackage
- used update-alternatives for nomule, mule, gtk, gtk-gnome subpackages
- added nosource conditional
- fixed leim problem (leim-list.el must not be compiled)

* Fri Jun 1 2001 AEN <aen@logic.ru> 21.4.3-alt2
- info scripts fixed

* Fri Jun 1 2001 AEN <aen@logic.ru> 21.4.3-alt1
- build new version
- gtk & gnome build with mule

* Sat Mar 17  2001  AEN <aen@logic.ru> 21.1.14-ipl1mdk
- new version
- new sumo
- sync with MDK
- update-alternatives

* Wed Jan 03 2001 AEN <aen@logic.ru>
- adopted for RE

* Tue Dec 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.12-10mdk
- In %post try to activate as default the REMOVE_MOD_META_L.

* Mon Dec 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.12-9mdk
- Remove the metamod patch.

* Fri Dec 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 21.1.12-8mdk
- Patch eicq to compile on alpha

* Thu Dec 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 21.1.12-7mdk
- Remove dependency on libstdc++. Don't compile eicq with g++

* Tue Dec 12 2000 Warly <warly@mandrakesoft.com> 21.1.12-6mdk
- patch startup to accept - and -- options

* Fri Nov 24 2000 Warly <warly@mandrakesoft.com> 21.1.12-5mdk
- new sumo

* Wed Nov 22 2000 Warly <warly@mandrakesoft.com> 21.1.12-4mdk
- bzip2 mule info files

* Wed Nov  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.12-3mdk
- Don't depend of ldap libs.

* Fri Sep  8 2000 Warly <warly@mandrakesoft.com> 21.1.12-2mdk
- remove X copy paste from site-start (already in xemacs it
  seems)

* Tue Aug 29 2000 Warly <warly@mandrakesoft.com> 21.1.12-1mdk
- new release

* Wed Jul 19 2000 Warly <warly@mandrakesoft.com> 21.1.11-1mdk
- new version
- BM

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-8mdk
- On alpha BuildConflicts: with compat-Tru64 since we will get very
  wrong stuff.

* Mon May 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-7mdk
- Fix security bugs with comint.el mode when typing password (Credits go to Caldera).

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 21.1.9-6mdk
- remove nasty Chmouel's % stuff

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 21.1.9-5mdk
- remove full path of icon in menu entry

* Wed Apr 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-4mdk
- Correct typo in site-start.el.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-3mdk
- Remove emacs conflicts with xemacs-extras and add a workaround.
- Corrected menu entry for icons.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-2mdk
- Fix menu.
- Move menu icon to /usr/sh-Rare/icons/mini/.

* Fri Mar 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-1mdk
- Add site-spec-xemacs.el.
- Add mini-gnu.xpm for menu.
- Add menu-entry.
- Move info to /usr/info/ and %post/%pre the installation.
- Autoload rpm-spec-mode and associate it.
- Fix meta like LordFredl want.
- By default decompress bzip2 info files.
- Add kanji display fix (debian).
- Make safe mmencode (debian).
- Add ootags in %files.
- Fix groups.
- Various change in rpm-spec-mode (flepied/pixel/me).
- Upgrade descriptions.
- 21.1.9.
- Last sumo packages.
- Remove xemacs-X11 package.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.8-6mdk
- last Sumo package.
- BuildRequires faces-devel.

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.8-5mdk
- Fix build as non-root.

* Thu Nov 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Strip binary.
- rBzip2 infopages.
- last sumo package.

* Tue Nov  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 21.1.8.
- Upgrade of sumo package.
- Add rpm-spec-mode.
- Remove xemacs-noX.
- Remove xemacs-static.

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last updated sumo package.
- Readd Next.Icons
- 21.1.7

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 21.1.6

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
